OTBCLI_SMOOTHING(1)

NAME
otbcli_Smoothing - OTB Smoothing application

DESCRIPTION
This is the Smoothing application, version 5.2.0 Apply a smoothing filter to an image

Complete documentation: http://www.orfeo-toolbox.org/Applications/Smoothing.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-type
    <string> Smoothing Type [mean/gaussian/anidif] (mandatory, default value is anidif)

-type.mean.radius
    <int32> Radius (mandatory, default value is 2)

-type.gaussian.radius
    <float> Radius (mandatory, default value is 2)

-type.anidif.timestep
    <float> Time Step (mandatory, default value is 0.125)

-type.anidif.nbiter
    <int32> Nb Iterations (mandatory, default value is 10)

-type.anidif.conductance <float>
    Conductance (mandatory, default value is 1)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
Image smoothing using a mean filter. otbcli_Smoothing -in Romania_Extract.tif -out smoothedImage_mean.png uchar -type mean Image smoothing using an anisotropic diffusion filter. otbcli_Smoothing -in Romania_Extract.tif -out smoothedImage_ani.png float -type anidif -type.anidif.timestep 0.1 -type.anidif.nbiter 5 -type.anidif.conductance 1.5

SEE ALSO
The full documentation for otbcli_Smoothing is maintained as a Texinfo manual. If the info and otbcli_Smoothing programs are properly installed at your site, the command

    info otbcli_Smoothing

should give you access to the complete manual.